package cn.estsh.i3plus.pojo.base.enumutil;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * @Description : wms数据权限枚举
 * @Reference :
 * @Author : jack.lv
 * @CreateDate : 2019-3-8 15:53
 * @Modify:
 **/
public class DataAuthEnumUtil {

    /**
     * 数据对象枚举
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum DATA_OBJ_TYPE {
        WAREHOUSE("10", "WAREHOUSE", "仓库对象"),
        ZONE("20", "ZONE", "存储区对象"),
        LOCATE("30", "LOCATE", "库位对象");

        private String code;
        private String description;
        String value;

        DATA_OBJ_TYPE(String value, String code, String description) {
            this.value = value;
            this.code = code;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getCode() {
            return code;
        }

        public String getDescription() {
            return description;
        }
    }
}
